Name:           vvave
Version:        1.2.2
Release:        1%{?dist}
License:        GPLv3.0+
Summary:        Maui multi-platform media player
Url:            https://invent.kde.org/maui/vvave
Source0:        https://download.kde.org/stable/maui/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick) 
BuildRequires:  cmake(Qt5Network) 
BuildRequires:  cmake(Qt5Sql) 
BuildRequires:  cmake(Qt5QuickControls2) 
BuildRequires:  cmake(Qt5Xml) 
BuildRequires:  cmake(Qt5Multimedia) 
BuildRequires:  cmake(Qt5Svg) 
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(KF5I18n) 
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  cmake(MauiKit)
BuildRequires:  cmake(MauiKitFileBrowsing)

Requires: hicolor-icon-theme

%description
Vvave is a convergent multimedia player based
on the MauiKit framework. It requires system-wide 
codecs to be installed separetly.

%prep
%autosetup -n %{name}-%{version}


%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%check

appstreamcli validate --no-net %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop


%files
%doc README.md
%license COPYING LICENSE
%{_kf5_bindir}/%{name}

%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Mon May 10 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 1.2.2-1
- initial package